Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005ParticleContainerSend Class Reference

`#include <GT2005ParticleContainerSend.h>`

Collaboration diagram for GT2005ParticleContainerSend:

[legend]
List of all members.

## Public Member Functions
| GT2005ParticleContainerSend ()
GT2005ParticleSend & | operator[] (int index)
const GT2005ParticleSend & | operator[] (int index) const
int | getNumberOfSamples () const
int | getNumberOfUsedSamples () const
## Public Attributes
GT2005ParticleSend | array [numOfBLParticlesSend]

## Constructor & Destructor Documentation

GT2005ParticleContainerSend::GT2005ParticleContainerSend | ( |  | ) |

| Definition at line 18 of file GT2005ParticleContainerSend.cpp. References getNumberOfSamples(), and GT2005ParticleSend::setParameters().

Here is the call graph for this function:

## Member Function Documentation

GT2005ParticleSend& GT2005ParticleContainerSend::operator[] | ( | int | index | ) | `[inline]`

| Definition at line 38 of file GT2005ParticleContainerSend.h.

const GT2005ParticleSend& GT2005ParticleContainerSend::operator[] | ( | int | index | ) | const`[inline]`

| Definition at line 39 of file GT2005ParticleContainerSend.h.

int GT2005ParticleContainerSend::getNumberOfSamples | ( |  | ) | const`[inline]`

| Definition at line 40 of file GT2005ParticleContainerSend.h. References numOfBLParticlesSend. Referenced by GT2005TeamBallLocator::execute(), getNumberOfUsedSamples(), GT2005ParticleContainerSend(), operator<<(), and operator>>().

int GT2005ParticleContainerSend::getNumberOfUsedSamples | ( |  | ) | const

| Definition at line 24 of file GT2005ParticleContainerSend.cpp. References getNumberOfSamples(). Referenced by operator<<().

Here is the call graph for this function:

## Member Data Documentation

GT2005ParticleSend GT2005ParticleContainerSend::array[numOfBLParticlesSend]

| Definition at line 37 of file GT2005ParticleContainerSend.h.

The documentation for this class was generated from the following files:

- Modules/TeamBallLocator/GT2005Particles/GT2005ParticleContainerSend.h
- Modules/TeamBallLocator/GT2005Particles/GT2005ParticleContainerSend.cpp